<template>
  <v-sheet
    id="scrolling-techniques-2"
    class="overflow-y-auto"
    max-height="600"
  >
    <v-app-bar
      id="toolbar"
      dark
      :clipped-left="clipped"
      fixed
      app
      color="#fcb69f"
      shrink-on-scroll
      prominent
      src="/img/toolbar-backgraund.jpg"
      scroll-target="#scrolling-techniques-2"
    >
      <template #img="{ props }">
        <v-img
          v-bind="props"
          gradient="to top right, rgba(19,84,122,.5), rgba(128,208,199,.8)"
        />
      </template>
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-toolbar-title v-if="user">
        {{ user.name }}
      </v-toolbar-title>

      <v-spacer />

      <!--Menu refactorizado en otro componente-->
      <app-toolbar-menu />
    </v-app-bar>
  </v-sheet>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import { AppStore } from '~/store/AppStore'
import { AuthStore } from '~/store/AuthStore'
import { User } from '~/core/models/user'
import AppToolbarMenu from '~/components/layouts/AppToolbarMenu.vue'
    @Component({
      components: { AppToolbarMenu }
    })
export default class AppToolbar extends Vue {
  get drawer ():boolean {
    return AppStore.vermenu
  }

  set drawer (valor:boolean) {
    AppStore.BOTON_MENU(valor)
  }

  get user ():User {
    return AuthStore.user
  }

      clipped= false;
}
</script>

<style lang="scss">
  #toolbar{
    $color1: $accent-color;
    $color: $secondary-color;

    background: $transparent-backgraund;

  }

</style>
